# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.blogger
Class BlogPostQuery

    java.lang.Object
      com.google.gdata.client.Query
          com.google.gdata.client.blogger.BlogPostQuery

    public class BlogPostQuery

extends Query

Describes a query for the feed of a blog's posts.

Nested Class Summary
`static class` `BlogPostQuery.OrderBy` Order of entries in a feed.

Nested classes/interfaces inherited from class com.google.gdata.client.Query
`Query.CategoryFilter, Query.CustomParameter, Query.ResultFormat`

Field Summary

Fields inherited from class com.google.gdata.client.Query
`UNDEFINED`

Constructor Summary
`BlogPostQuery(java.net.URL feedUrl)` Constructs a new query object that targets a feed.

Method Summary
`BlogPostQuery.OrderBy` `getOrderBy()` Returns the order of entries in a feed.
`void` `setOrderBy(BlogPostQuery.OrderBy orderBy)` Sets the order of entries in a feed.

Methods inherited from class com.google.gdata.client.Query

`addCategoryFilter, addCustomParameter, appendQueryParameter, getAuthor, getCategoryFilters, getCustomParameters, getCustomParameters, getFeedUrl, getFields, getFullTextQuery, getIntegerCustomParameter, getMaxResults, getPublishedMax, getPublishedMin, getQueryUri, getResultFormat, getStartIndex, getStringCustomParameter, getUpdatedMax, getUpdatedMin, getUrl, isStrict, isValidState, setAuthor, setFields, setFullTextQuery, setIntegerCustomParameter, setMaxResults, setPublishedMax, setPublishedMin, setResultFormat, setStartIndex, setStrict, setStringCustomParameter, setUpdatedMax, setUpdatedMin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlogPostQuery

    public BlogPostQuery(java.net.URL feedUrl)

  Constructs a new query object that targets a feed. The initial state of the query contains no parameters, meaning all entries in the feed would be returned if the query was executed immediately after construction.

  Parameters:
    `feedUrl` - the URL of the feed against which queries will be executed.

Method Detail

### getOrderBy

    public BlogPostQuery.OrderBy getOrderBy()

  Returns the order of entries in a feed.

  Returns:
    order of entries in a feed.

### setOrderBy

    public void setOrderBy(BlogPostQuery.OrderBy orderBy)

  Sets the order of entries in a feed.

  Parameters:
    `orderBy` - order of entries in a feed or `null` to reset this parameter to default value `BlogPostQuery.OrderBy.PUBLISHED`.